### Name: tikzAnnotate
### Title: Annotate an active tikz device
### Aliases: tikzAnnotate
### Keywords: device

### ** Examples

## Not run: 
##D #### Example 1
##D         library(tikzDevice)
##D         options(tikzLatexPackages = c(getOption('tikzLatexPackages'),
##D                 "\\usetikzlibrary{shapes.arrows}"))
##D         tikz(standAlone=TRUE)
##D         plot(1)
##D         x <- grconvertX(1,,'device')
##D         y <- grconvertY(1,,'device')
##D         tikzAnnotate(paste('\\node[single arrow,anchor=tip,draw,fill=green] at (',
##D                 x,',',y,') {Look over here!};'))
##D         dev.off()
##D 
##D #### Example 2  
##D         options(tikzLatexPackages = 
##D             c(getOption('tikzLatexPackages'),
##D                 c("\\usetikzlibrary{decorations.pathreplacing}",
##D                 "\\usetikzlibrary{shapes.arrows}")))
##D 
##D         p <- rgamma(300,1)
##D         outliers <- which( p > quantile(p,.75)+1.5*IQR(p) )
##D 
##D         tikz("annotation.tex",width=4,height=4)
##D             boxplot(p)
##D 
##D             min.outlier <- grconvertY(min( p[outliers] ),, "device")
##D             max.outlier <- grconvertY(max( p[outliers] ),, "device")
##D             x <- grconvertX(1,,"device")
##D 
##D             tikzAnnotate(paste("\\node (min) at (",x,',',min.outlier,") {};"))
##D             tikzAnnotate(paste("\\node (max) at (",x,',',max.outlier,") {};"))
##D             tikzAnnotate(c("\\draw[decorate,very thick,red,",
##D                 "decoration={brace,amplitude=20pt}] (min) ",
##D                 "-- node[single arrow,anchor=tip,left=20pt,draw=green] ",
##D                 "{Look at These Outliers!} (max);"))
##D             tikzAnnotate(c("\\node[starburst, fill=green, ",
##D                 "draw=blue, very thick,right=of max]  (burst) {Wow!};"))
##D             tikzAnnotate(c("\\draw[->, very thick] (burst.west) -- (max);"))
##D 
##D         dev.off()
##D         setTikzDefaults()
## End(Not run)



